package com.lz.modules.flow.req;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*模板计算公式
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "模板计算公式Req")
public class ResultCalculateReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;
    @ApiModelProperty(value = "sort", name = "类型")
    private String sort;
    @ApiModelProperty(value = "order", name = "排序")
    private String order;
    //
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //公式名称
    @ApiModelProperty(value = "公式名称", name = "name")
    private String name;
    //计算公式：表明.字段名[+|-|*|/]表明.字段名...
    @ApiModelProperty(value = "计算公式：表明.字段名[+|-|*|/]表明.字段名...", name = "calculate")
    private String calculate;
    //备注说明
    @ApiModelProperty(value = "备注说明", name = "remark")
    private String remark;
    //业务id，用于区分公式使用地方
    @ApiModelProperty(value = "业务id，用于区分公式使用地方", name = "businessId")
    private Long businessId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 公式名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 公式名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 计算公式：表明.字段名[+|-|*|/]表明.字段名... 
     * @return
     */
    public String getCalculate() {
        return calculate;
    }
    /**
     * 计算公式：表明.字段名[+|-|*|/]表明.字段名... 
     * @param calculate
     */
    public void setCalculate(String calculate) {
        this.calculate = calculate;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 业务id，用于区分公式使用地方 
     * @return
     */
    public Long getBusinessId() {
        return businessId;
    }
    /**
     * 业务id，用于区分公式使用地方 
     * @param businessId
     */
    public void setBusinessId(Long businessId) {
        this.businessId = businessId;
    }

    @Override
    public String toString() {
        return "ResultCalculate{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",calculate=" + calculate +
                ",remark=" + remark +
                ",businessId=" + businessId +
                "}";
    }
}